class CreateBalloons < ActiveRecord::Migration
  def change
    create_table :balloons do |t|
      t.integer :speech_balloon_id, :null => false
      t.integer :system_picture_id, :null => false
      t.integer :x, :null => false
      t.integer :y, :null => false
      t.integer :width, :null => false
      t.integer :height, :null => false
      t.string :caption
      t.string :settings

      t.timestamps
    end
    add_index :balloons, [:speech_balloon_id]
  end
end
